The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Ignite Openfire: Cross Site Scripting via setup test page

Synthesis of the vulnerability 

An attacker can trigger a Cross Site Scripting via setup test page of Ignite Openfire, in order to run JavaScript code in the context of the web site.
Vulnerable products: Openfire.
Severity of this weakness: 2/4.
Creation date: 13/08/2019.
Références of this bulletin: CVE-2019-15488, VIGILANCE-VUL-30030.

Description of the vulnerability 

The Ignite Openfire product offers a web service.

However, it does not filter received data via setup test page before inserting them in generated HTML documents.

An attacker can therefore trigger a Cross Site Scripting via setup test page of Ignite Openfire, in order to run JavaScript code in the context of the web site.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This cybersecurity threat impacts software or systems such as Openfire.

Our Vigil@nce team determined that the severity of this computer threat note is medium.

The trust level is of type confirmed by the editor, with an origin of document.

An attacker with a expert ability can exploit this security threat.

Solutions for this threat 

Ignite Openfire: version 4.4.1.
The version 4.4.1 is fixed:
  https://www.igniterealtime.org/downloads/index.jsp
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a computer security note. The technology watch team tracks security threats targeting the computer system.